use warnings;
use strict;
use Test::More;

use POWER::Event::Timer qw( set_timer get_timers_idle_time );

my @exports
    = qw( set_timer get_timers_idle_time )
    ;
my @not_exports = qw( reset_timer stop_timer get_expired_timers );

plan +(@exports + @not_exports)
    ? ( tests       => @exports + @not_exports                  )
    : ( skip_all    => q{This module doesn't export anything}   )
    ;

for my $export (@exports) {
    can_ok( __PACKAGE__, $export );
}

for my $not_export (@not_exports) {
    ok( ! __PACKAGE__->can($not_export) );
}
