use warnings;
use strict;
use Test::More tests => 4;
use Test::Exception;

use Time::HiRes qw( sleep );

use POWER::Event::Timer qw( :ALL );
use POWER::Utils;

my ($idle, $timer);

# is get_timers_idle_time() counts correctly?
set_timer({ cb=>sub{}, for=>2 });
set_timer({ cb=>sub{}, for=>1 });
set_timer({ cb=>sub{}, for=>3 });
sleep 0.1;
$idle = get_timers_idle_time();
ok(0.8 < $idle && $idle < 0.9, '0.9 from 1 sec left');
sleep 0.1;
$idle = get_timers_idle_time();
ok(0.7 < $idle && $idle < 0.8, '0.8 from 1 sec left');

# ... even if we add earlier timer of different type (every)?
$timer = set_timer({ cb=>sub{}, every=>0.5 });
sleep 0.1;
$idle = get_timers_idle_time();
ok(0.3 < $idle && $idle < 0.4, '0.4 from 0.5 sec left');

# ... even if we stop most earlier timer?
stop_timer($timer);
sleep 0.1;
$idle = get_timers_idle_time();
ok(0.5 < $idle && $idle < 0.6, '0.6 from 1 sec left');

